Skip to main content

Application Events

Application status change notifications.

Event Status

  • ACTION_REQUIRED - Additional information required (notification sent)
  • REJECTED - Application rejected (notification sent)
  • APPROVED - Application approved (notification sent)

Event Payloads

{
"id": "event_c4b2c210-ce32-41d4-a9a1-cfad4fdf191c",
"event_type": "APPLICATION",
"position": "CJO1fxACGAAgADAB",
"timestamp": "2025-03-29T07:02:33.200962333Z",
"payload": {
"client_request_id": "ndjanww3004abe894b51244560kmdcd",
"application_id": "d44caf9eb12d4abe894b529699059ec5",
"biz_type": "ACCOUNT_CREATE",
"status": "ACTION_REQUIRED",
"reason": "Additional documents required",
"resubmission_codes": "OCR_SUSPENDED,CIP_SUSPENDED",
"timestamp": "2025-11-21T06:27:43.312Z"
}
}

Response Fields

FieldTypeDescription
idstringUnique event identifier
positionstringCursor for event replay; re-pushes subsequent events within the current business type.
event_typestringEvent type, fixed as APPLICATION
timestampstringEvent timestamp in ISO 8601 format
payloadobjectEvent payload data

Payload Fields

FieldTypeDescription
client_request_idstringClient-generated unique request identifier for idempotency
application_idstringUnique application identifier
biz_typestringBusiness type (e.g., ACCOUNT_CREATE)
statusstringApplication status ( ACTION_REQUIRED, REJECTED, APPROVED)
reasonstringReason for the current status (may be empty)
timestampstringTimestamp for the payload in ISO 8601 format
resubmission_codesstring(Present when status is ACTION_REQUIRED) Supplementary materials template identifiers, multiple templates separated by ','